## kf6-kdoctools 6.22.0+p24.04+vstable+git20260106.0903

=== debian/changelog ===
kf6-kdoctools (6.22.0+p24.04+vstable+git20260106.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:03:22 +0000

kf6-kdoctools (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:13 +1000

## kf6-kdoctools 6.22.0+p24.04+vstable+git20260111.0133

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

set(KF_VERSION "6.23.0") # handled by release scripts
set(KF_DEP_VERSION "6.22.0") # handled by release scripts
project(KDocTools VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.22.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(ECMGenerateExportHeader)
include(ECMGenerateQDoc)

set(kdoctools_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdoctools_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KDOCTOOLS
                        VERSION_HEADER "${kdoctools_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
                        SOVERSION 6)

option(MEINPROC_NO_KARCHIVE "Compile meinproc without KArchive dependency. Only for internal usage on KDE infrastructure." OFF)
option(INSTALL_INTERNAL_TOOLS "Install internal tools too." OFF)

option(RELOCATABLE_DOCBOOK_FILES "Generate relative paths to docbook and XSL files (for e.g. Windows and cross-compilation)" OFF)
if(WIN32)
    set(RELOCATABLE_DOCBOOK_FILES ON)
    message(STATUS "Automatic enable RELOCATABLE_DOCBOOK_FILES for Windows platform")
endif()

# Dependencies
set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

# KF6 frameworks
if (NOT MEINPROC_NO_KARCHIVE)
   find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
else()
   message(WARNING "KArchive dependency has been disabled. This should be done only for internal usage on KDE infrastructure.")
endif()

find_package(KF6I18n ${KF_DEP_VERSION})
set_package_properties(KF6I18n PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build the KDocTools translations")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

if (NOT LIBXML2_XMLLINT_EXECUTABLE)
   message(FATAL_ERROR "xmllint is required to process DocBook XML")
endif()

find_package(DocBookXML4 "4.5")

set_package_properties(DocBookXML4 PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(DocBookXSL)
set_package_properties(DocBookXSL PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
set(_kdoctoolsBootStrapping TRUE)
set(KDOCTOOLS_CUSTOMIZATION_DIR "${CMAKE_CURRENT_BINARY_DIR}/src/customization/")
if (WIN32)
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${EXECUTABLE_OUTPUT_PATH}/${CMAKE_CFG_INTDIR}/meinproc6 )
else ()
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${CMAKE_CURRENT_BINARY_DIR}/src/meinproc6${CMAKE_EXECUTABLE_SUFFIX} )
endif ()
include(KF6DocToolsMacros.cmake)

set(KDOCTOOLS_LANGUAGES_LIST af bg ca ca@valencia cs da de el en-GB en eo es et fi fo fr gl he hu id it ja ko lt nds nl nn no pl pt-BR pt ro ru sk sl sq sr sr@latin sr@ijekavian sr@ijekavianlatin sv th tr uk wa xh xx zh-CN zh-TW)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
ecm_set_disabled_deprecation_versions(
    QT 6.11.0
    KF 6.21.0
)

if (KF6I18n_FOUND)
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(common)
add_subdirectory(docs)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(EXPORT KF6DocToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsTargets.cmake NAMESPACE KF6:: )
install(EXPORT KF6DocToolsToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsToolsTargets.cmake NAMESPACE KF6:: )
install(
    FILES ${kdoctools_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools
    COMPONENT Devel
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsConfig.cmake.in"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  PATH_VARS
    KDE_INSTALL_DATADIR_KF
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsMacros.cmake ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsMacros.cmake COPYONLY)
# we need a separate copy with local paths for install autotests
export(EXPORT KF6DocToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsTargets.cmake NAMESPACE KF6::)
export(EXPORT KF6DocToolsToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsToolsTargets.cmake NAMESPACE KF6::)

install(FILES
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

configure_file(config-kdoctools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdoctools.h )

install( FILES
    KF6DocToolsMacros.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kdoctools (6.22.0+p24.04+vstable+git20260111.0133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:33:05 +0000

## kf6-kdoctools 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-kdoctools (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:13 +0000

## kf6-kdoctools 6.22.0+p24.04+vunstable+git20260123.0318

=== debian/changelog ===
kf6-kdoctools (6.22.0+p24.04+vunstable+git20260123.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:18:38 +0000

## kf6-kdoctools 6.22.0+p24.04+vunstable+git20260129.0302

=== debian/changelog ===
kf6-kdoctools (6.22.0+p24.04+vunstable+git20260129.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:02:33 +0000

## kf6-kdoctools 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kdoctools (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:51 +0100

=== debian/control ===
Source: kf6-kdoctools
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               docbook-xml (>= 4.5),
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6archive-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kdoctools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git

Package: kdoctools6
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6doctools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the documentation files for kdoctools6.

Package: libkf6doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools6 (= ${binary:Version}),
         libkf6archive-dev (>= 6.23.0~),
         libkf6doctools6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6doctools-doc (= ${source:Version}),
Description: Development files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for kdoctools6.

Package: libkf6doctools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 6.
